net.minecraft.potion

## Class Potion

- java.lang.Object
- - net.minecraft.potion.Potion

- Direct Known Subclasses:
    PotionAbsoption, PotionAttackDamage, PotionHealth, PotionHealthBoost

      public class Potion
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Potion` | `blindness`
    `static Potion` | `confusion`
    `static Potion` | `damageBoost`
    `static Potion` | `digSlowdown`
    `static Potion` | `digSpeed`
    `static Potion` | `field_76405_D`
    `static Potion` | `field_76406_E`
    `static Potion` | `field_76407_F`
    `static Potion` | `field_76408_G`
    `static Potion` | `field_76409_A`
    `static Potion` | `field_76410_B`
    `static Potion` | `field_76411_C`
    `static Potion` | `field_76423_b`
    `static Potion` | `field_76434_w`
    `static Potion` | `field_76442_z`
    `static Potion` | `field_76443_y`
    `static Potion` | `field_76444_x`
    `static Potion` | `fireResistance`
    `static Potion` | `harm`
    `static Potion` | `heal`
    `static Potion` | `hunger`
    `int` | `id`
    `static Potion` | `invisibility`
    `static Potion` | `jump`
    `static Potion` | `moveSlowdown`
    `static Potion` | `moveSpeed`
    `static Potion` | `nightVision`
    `static Potion` | `poison`
    `static Potion[]` | `potionTypes`
    `static Potion` | `regeneration`
    `static Potion` | `resistance`
    `static Potion` | `waterBreathing`
    `static Potion` | `weakness`
    `static Potion` | `wither`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Potion(int par1, boolean par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `affectEntity(EntityLivingBase par1EntityLivingBase, EntityLivingBase par2EntityLivingBase, int par3, double par4)`
    `void` | `applyAttributesModifiersToEntity(EntityLivingBase par1EntityLivingBase, BaseAttributeMap par2BaseAttributeMap, int par3)`
    `double` | `func_111183_a(int par1, AttributeModifier par2AttributeModifier)`
    `Potion` | `func_111184_a(IAttribute par1Attribute, java.lang.String par2Str, double par3, int par5)`
    `java.util.Map` | `func_111186_k()`
    `static java.lang.String` | `getDurationString(PotionEffect par0PotionEffect)`
    `double` | `getEffectiveness()`
    `int` | `getId()`
    `int` | `getLiquidColor()`
    `java.lang.String` | `getName()`
    `int` | `getStatusIconIndex()`
    `boolean` | `hasStatusIcon()`
    `boolean` | `isBadEffect()`
    `boolean` | `isInstant()`
    `boolean` | `isReady(int par1, int par2)`
    `boolean` | `isUsable()`
    `void` | `performEffect(EntityLivingBase par1EntityLivingBase, int par2)`
    `void` | `removeAttributesModifiersFromEntity(EntityLivingBase par1EntityLivingBase, BaseAttributeMap par2BaseAttributeMap, int par3)`
    `protected Potion` | `setEffectiveness(double par1)`
    `protected Potion` | `setIconIndex(int par1, int par2)`
    `Potion` | `setPotionName(java.lang.String par1Str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### potionTypes

          public static final Potion[] potionTypes

    - #### field_76423_b

          public static final Potion field_76423_b

    - #### moveSpeed

          public static final Potion moveSpeed

    - #### moveSlowdown

          public static final Potion moveSlowdown

    - #### digSpeed

          public static final Potion digSpeed

    - #### digSlowdown

          public static final Potion digSlowdown

    - #### damageBoost

          public static final Potion damageBoost

    - #### heal

          public static final Potion heal

    - #### harm

          public static final Potion harm

    - #### jump

          public static final Potion jump

    - #### confusion

          public static final Potion confusion

    - #### regeneration

          public static final Potion regeneration

    - #### resistance

          public static final Potion resistance

    - #### fireResistance

          public static final Potion fireResistance

    - #### waterBreathing

          public static final Potion waterBreathing

    - #### invisibility

          public static final Potion invisibility

    - #### blindness

          public static final Potion blindness

    - #### nightVision

          public static final Potion nightVision

    - #### hunger

          public static final Potion hunger

    - #### weakness

          public static final Potion weakness

    - #### poison

          public static final Potion poison

    - #### wither

          public static final Potion wither

    - #### field_76434_w

          public static final Potion field_76434_w

    - #### field_76444_x

          public static final Potion field_76444_x

    - #### field_76443_y

          public static final Potion field_76443_y

    - #### field_76442_z

          public static final Potion field_76442_z

    - #### field_76409_A

          public static final Potion field_76409_A

    - #### field_76410_B

          public static final Potion field_76410_B

    - #### field_76411_C

          public static final Potion field_76411_C

    - #### field_76405_D

          public static final Potion field_76405_D

    - #### field_76406_E

          public static final Potion field_76406_E

    - #### field_76407_F

          public static final Potion field_76407_F

    - #### field_76408_G

          public static final Potion field_76408_G

    - #### id

          public final int id

  - ### Constructor Detail

    - #### Potion

          protected Potion(int par1,
                boolean par2,
                int par3)

  - ### Method Detail

    - #### setIconIndex

          protected Potion setIconIndex(int par1,
                            int par2)

    - #### getId

          public int getId()

    - #### performEffect

          public void performEffect(EntityLivingBase par1EntityLivingBase,
                           int par2)

    - #### affectEntity

          public void affectEntity(EntityLivingBase par1EntityLivingBase,
                          EntityLivingBase par2EntityLivingBase,
                          int par3,
                          double par4)

    - #### isInstant

          public boolean isInstant()

    - #### isReady

          public boolean isReady(int par1,
                        int par2)

    - #### setPotionName

          public Potion setPotionName(java.lang.String par1Str)

    - #### getName

          public java.lang.String getName()

    - #### setEffectiveness

          protected Potion setEffectiveness(double par1)

    - #### hasStatusIcon

          public boolean hasStatusIcon()

    - #### getStatusIconIndex

          public int getStatusIconIndex()

    - #### isBadEffect

          public boolean isBadEffect()

    - #### getDurationString

          public static java.lang.String getDurationString(PotionEffect par0PotionEffect)

    - #### getEffectiveness

          public double getEffectiveness()

    - #### isUsable

          public boolean isUsable()

    - #### getLiquidColor

          public int getLiquidColor()

    - #### func_111184_a

          public Potion func_111184_a(IAttribute par1Attribute,
                             java.lang.String par2Str,
                             double par3,
                             int par5)

    - #### removeAttributesModifiersFromEntity

          public void removeAttributesModifiersFromEntity(EntityLivingBase par1EntityLivingBase,
                                                 BaseAttributeMap par2BaseAttributeMap,
                                                 int par3)

    - #### func_111186_k

          public java.util.Map func_111186_k()

    - #### applyAttributesModifiersToEntity

          public void applyAttributesModifiersToEntity(EntityLivingBase par1EntityLivingBase,
                                              BaseAttributeMap par2BaseAttributeMap,
                                              int par3)

    - #### func_111183_a

          public double func_111183_a(int par1,
                             AttributeModifier par2AttributeModifier)